Bug 492218 - Non-responsive openjpeg maintainer
Non-responsive openjpeg maintainer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openjpeg (Show other bugs)
rawhide
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Callum Lerwick
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Packag...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-25 18:19 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2011-01-31 16:54 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-31 16:54:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2009-03-25 18:19:36 EDT
Description of problem:

This is step 1 of the non-responsive maintainer procedure.

There are two open bugs against this package:
* bug 467661
* bug 484887
One of them has a patch provided, the other is trivial to fix. There was never any reply from the maintainer. There's also an outstanding request from Oliver Falk for commit rights to this package.

Please respond to this report and fix the issues listed above.
Comment 1 Dominik 'Rathann' Mierzejewski 2009-03-25 18:22:27 EDT
Note that I'm willing to take over maintainership of this package if your not interested in taking care of it anymore. Oliver probably does too (Cc'd).
Comment 2 Oliver Falk 2009-03-25 21:16:34 EDT
Dominik. If you feel you can take it. Please do so. I would take it if nobody else would...
Commit access is no problem for me any more, since I'm provenpackager and SecArch maintainer for alpha... :-)
If you take it, I be glad to soo if you could try to bring the patches upstream...
Comment 3 Callum Lerwick 2009-03-26 03:50:28 EDT
The -lm fix looks okay to me, feel free to merge it. But I don't know if changing the header location is a good idea. Around the time of the package review someone was nagging everyone to put headers in subdirectories. I can't google up any good references offhand though. I've got to get to bed...
Comment 4 Bug Zapper 2009-06-09 08:38:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Adam Goode 2009-09-10 13:28:34 EDT
I have been trying to contact the maintainers, I really would like to get this into EPEL. I'm happy to be a co-maintainer. I will put in the request in the database.
Comment 6 Adam Goode 2009-09-21 16:35:33 EDT
2nd attempt to contact.
Comment 7 Oliver Falk 2009-11-24 10:43:40 EST
Callum doesn't respond to anything, does he?
Comment 8 Adam Goode 2009-11-24 10:52:14 EST
It was kind of sorted out on the fedora devel list:
https://www.redhat.com/archives/fedora-devel-list/2009-September/msg01223.html
Comment 9 Oliver Falk 2009-11-24 11:00:00 EST
thanks for the info - and the acls!
Comment 10 Tom Lane 2010-07-06 09:49:10 EDT
I'm re-opening this because Callum doesn't appear to have paid any attention to the two open security bugs against openjpeg (bug #579548 and bug #609385).  Nor has he responded to my months-old request for commit privs.

Since I've been stuck with maintainership of openjpeg in RHEL, I'm willing to do it in Fedora too.  Or if one of the existing comaintainers wants to become lead, that's ok too.  But it's time for Callum to give up the lead maintainership.
Comment 11 Jeff Raber 2010-07-14 11:42:01 EDT
Set version = 12 as F11 is EOL and the bugs referenced in comment 10 are for F12.
Comment 12 Oliver Falk 2010-07-15 03:38:41 EDT
I would say: The first who wants it gets it now. I'm not willing (and nobody else I guess) to carry on these bugs to the next release...
Comment 13 Rex Dieter 2010-10-01 11:27:15 EDT
posted for fesco ack, to move the process along,
http://lists.fedoraproject.org/pipermail/devel/2010-October/143625.html
Comment 14 Bug Zapper 2010-11-04 07:25:23 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Tom Lane 2010-11-04 09:39:52 EDT
Unfortunately, Callum's still pretty non-responsive.
Comment 16 Adam Hough 2010-11-23 10:44:56 EST
https://bugzilla.redhat.com/show_bug.cgi?id=579548 for the openjpeg package has still not been fixed in F13 or F14.  The PDF I upload in https://bugzilla.redhat.com/show_bug.cgi?id=574832 will crash evince because of this openjpeg bug.

Please allow Tom Lane to become the maintainer of this package.
Comment 17 Rex Dieter 2011-01-31 16:54:45 EST
I think we've got this sorted out now.

Note You need to log in before you can comment on or make changes to this bug.